@echo off
cls
rem makedisk batch file
rem created 6/23/99
rem last modified 10/24/01 VO
rem minimum requirements DOS 6.22 or NT 3.51 or Windows 95 or newer

rem Check available environment space
set env_chk=0123456789abcdef
if %env_chk% == 0123456789abcdef goto preprocess
goto env_bad

:preprocess
set env_chk=
if NOT "%_silent%" == "" goto env_ok
set _silent=TRUE
if "%3" == "silent" %0 %1 %2
if "%3" == "SILENT" %0 %1 %2
if "%2" == "silent" %0 %1 %3
if "%2" == "SILENT" %0 %1 %3
if "%1" == "silent" %0 %2 %3
if "%1" == "SILENT" %0 %2 %3
set _silent=FALSE

:env_ok
rem Check that OS (%1) and destination (%2) are supplied and valid
if "%1" == "" goto USAGE
set dest=
if "%2" == "" set dest=A:
if "%2" == "A:" set dest=A:
if "%2" == "a:" set dest=A:
if "%2" == "A:\" set dest=A:
if "%2" == "a:\" set dest=A:
if "%2" == "B:" set dest=B:
if "%2" == "b:" set dest=B:
if "%2" == "B:\" set dest=B:
if "%2" == "b:\" set dest=B:
if "%dest%" == "" goto setdest
set _mdisk_floppy=TRUE
goto dest_ok

:setdest
set dest=%2
set _mdisk_floppy=FALSE
goto dest_ok

:dest_ok
if not exist ..\VERFILE.TIC goto wrongdir
if "%1" == "nt" goto valid
if "%1" == "NT" goto valid
REM if "%1" == "nt4hotadd" goto valid
REM if "%1" == "NT4HOTADD" goto valid
REM if "%1" == "NT4HotAdd" goto valid
if "%1" == "xp64" goto valid
if "%1" == "XP64" goto valid
if "%1" == "xp" goto valid
if "%1" == "XP" goto valid
if "%1" == "w2k" goto valid
if "%1" == "W2K" goto valid
if "%1" == "w9x" goto valid
if "%1" == "W9X" goto valid
if "%1" == "nw" goto valid
if "%1" == "NW" goto valid
if "%1" == "dos" goto valid
if "%1" == "DOS" goto valid
if "%1" == "modem" goto valid
if "%1" == "MODEM" goto valid
goto invalid

:invalid
echo !!! COMMAND LINE PARAMETERS ARE NOT CORRECT !!!
goto usage

:valid
if "%dest%" == "A:" goto floppy
if "%dest%" == "B:" goto floppy
goto nofloppy

:nofloppy
set mode=nofloppy
cls
echo The destination you specified (%dest%) does not
echo appear to be a diskette. If you are trying to create a diskette,
echo press Control-C and answer Y. Then enter this command again, being sure
echo enter the drive letter without a trailing backslash (A: or B:).
echo.
echo If you do want the files copied to %dest%,
if "%_silent%" == "FALSE" pause
goto cont_1

:floppy
set mode=floppy
cls
if exist %dest%\*.* echo !! THIS DISKETTE DOES NOT APPEAR TO BE FORMATTED !!
echo.
echo Please be sure that the disk in %dest% is 1.44 meg, formatted non-bootable and
echo has no pre-existing files. To format the diskette, press Control-C
echo and answer Y, then enter the command FORMAT %dest%. Otherwise,
if "%_silent%" == "FALSE" pause
goto cont_1

:cont_1
if not exist ..\verfile.tic goto wrongdir
if "%1" == "nt" goto nt
if "%1" == "NT" goto nt
if "%1" == "nt4hotadd" goto nt
if "%1" == "NT4HOTADD" goto nt
if "%1" == "NT4HotAdd" goto nt
if "%1" == "xp64" goto XP64
if "%1" == "XP64" goto XP64
if "%1" == "xp" goto XP
if "%1" == "XP" goto XP
if "%1" == "w2k" goto w2k
if "%1" == "W2K" goto w2k
if "%1" == "w9x" goto w9x
if "%1" == "W9X" goto w9x
if "%1" == "nw" goto nw
if "%1" == "NW" goto nw
if "%1" == "dos" goto dos
if "%1" == "DOS" goto dos
if "%1" == "modem" goto modem
if "%1" == "MODEM" goto modem
goto USAGE

:nt
rem     *** Start of the Windows NT section ***
rem Echo what we are about to do
cls
if "%_mdisk_floppy%" == "FALSE" goto skip_1

echo.
echo This batch file will copy the Microsoft Windows NT
echo files to %dest%.  You will need two (2) floppy diskettes.
echo Press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

:skip_1
cls
echo.
echo Copying files to %dest%
echo.

REM if "%1" == "nt4hotadd" goto nt4hotadd
REM if "%1" == "NT4HOTADD" goto nt4hotadd
REM if "%1" == "NT4HotAdd" goto nt4hotadd

copy /v ..\oemsetup.inf %dest%
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto nttest_1

:nt4hotadd
REM copy /v ..\Windows\Setup\Hotadd.nt4\oemsetup.inf %dest%
goto nttest_1

:nttest_1
if not exist %dest%\oemsetup.inf goto NOCOPY
goto nt_copyfile

:nt_copyfile
REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\NMS
md %dest%\Windows\NMS\IA32
md %dest%\Windows\PROSET2
md %dest%\Windows\PROSET2\IA32

REM COPY FILES
copy /v ..\d100disk %dest%

copy /v ..\Windows\NMS\IA32\nmscfg.sy_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmsdd.sy_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmssvc.ex_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmssvcps.dl_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmsmsg.dl_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmsapi.dl_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\regsvr32.ex_ %dest%\Windows\NMS\IA32

copy /v ..\Windows\ProSet2\IA32\promon.ex_ %dest%\Windows\PROSET2\IA32
copy /v ..\Windows\ProSet2\IA32\prosetp.hl_ %dest%\Windows\PROSET2\IA32
copy /v ..\Windows\ProSet2\IA32\prosetp.cn_ %dest%\Windows\PROSET2\IA32
copy /v ..\Windows\ProSet2\IA32\roboex32.dl_ %dest%\Windows\PROSET2\IA32
copy /v ..\Windows\ProSet2\IA32\inetwh32.dl_ %dest%\Windows\PROSET2\IA32
echo.

if "%_mdisk_floppy%" == "FALSE" goto skip_2
echo Please remove the diskette and label it
echo Intel(R) PRO LAN Adapter Configuration and Microsoft Windows NT
echo Drivers (Release # from your CD) Disk 1
echo.
echo When ready, insert disk two and then press ENTER to continue
echo.
pause

echo Making second disk...

if exist %dest%\*.* echo !! THIS DISKETTE DOES NOT APPEAR TO BE FORMATTED !!
echo.
echo Please be sure that the disk in %dest% is 1.44 meg, formatted non-bootable and
echo has no pre-existing files. To format the diskette, press Control-C
echo and answer Y, then enter the command FORMAT %dest%. Otherwise,
if "%_silent%" == "FALSE" pause

:skip_2
REM if "%1" == "nt4hotadd" goto more_heat
REM if "%1" == "NT4HOTADD" goto more_heat
REM if "%1" == "NT4HotAdd" goto more_heat

copy /v ..\oemsetup.inf %dest%
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto nttest_2

:more_heat
REM copy /v ..\Windows\Setup\Hotadd.nt4\oemsetup.inf %dest%
goto nttest_2

:nttest_2
if not exist %dest%\oemsetup.inf goto NOCOPY
goto cont_2

:cont_2
REM DISK 2 Make Directories
md %dest%\Windows
md %dest%\Windows\NMS
md %dest%\Windows\NMS\IA32
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\IA32
md %dest%\Windows\Proset2
md %dest%\Windows\Proset2\IA32

REM Disk 2 Copy Files
copy /v ..\d100dsk2 %dest%
copy /v ..\Windows\ProSet2\IA32\prosetp.cp_ %dest%\Windows\PROSET2\IA32

if exist ..\Windows\ProSet2\IA32\prosetp.re_ copy /v ..\Windows\ProSet2\IA32\prosetp.re_ %dest%\Windows\ProSet2\IA32
if exist ..\Windows\Drivers\IA32\cbmodem.sy_ copy /v ..\Windows\Drivers\IA32\cbmodem.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\e100bnt.sy_ copy /v ..\WIndows\Drivers\IA32\e100bnt.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\e1000nt4.sy_ copy /v ..\WIndows\Drivers\IA32\e1000nt4.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\iansnt4n.sy_ copy /v ..\Windows\Drivers\IA32\iansnt4n.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\iansnt4e.sy_ copy /v ..\Windows\Drivers\IA32\iansnt4e.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\iansnt4.sy_ copy /v ..\Windows\Drivers\IA32\iansnt4.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\NMS\IA32\MVFT.re_ copy /v ..\Windows\NMS\IA32\MVFT.re_ %dest%\Windows\NMS\IA32

rem Diagnostic utilities
copy /v ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy /v ..\TOOLS\DIAG100.EXE %dest%
copy /v ..\TOOLS\DIAG1000.EXE %dest%

echo Done

if "%_mdisk_floppy%" == "FALSE" goto end
echo.
echo.
echo Please remove the diskette and label it
echo Intel(R) PRO LAN Adapter Configuration and Microsoft Windows NT
echo Drivers (Release # from your CD) Disk 2
echo.
goto end


:XP64
rem     *** Start of the Windows XP section ***
cls
echo.
echo This batch file will copy the Microsoft Windows XP64
echo driver files to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct, otherwise
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

copy /v ..\NET8254i.INF %dest%
if not exist %dest%\NET8254i.INF goto NOCOPY
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto xp64_copyfile

:xp64_copyfile
REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\Itanium

rem IA 64 specific files
copy /v ..\net8255i.inf %dest%
copy /v ..\e100b645.cat %dest%
copy /v ..\e1000645.cat %dest%
copy /v ..\Windows\Drivers\Itanium\net82557.din %dest%\Windows\Drivers\Itanium
copy /v ..\Windows\Drivers\Itanium\net8254x.din %dest%\Windows\Drivers\Itanium
copy /v ..\Windows\Drivers\Itanium\e1000645.sys %dest%\Windows\Drivers\Itanium
copy /v ..\Windows\Drivers\Itanium\e100b645.sys %dest%\Windows\Drivers\Itanium
copy /v ..\Windows\Drivers\Itanium\Prounstl.exe %dest%\Windows\Drivers\Itanium

echo.
echo Base driver files have been copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.

if "%_mdisk_floppy%" == "FALSE" goto end
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO LAN Adapter Configuration and
echo Microsoft Windows XP Drivers (Release # from your CD)
echo.
goto end


:XP
rem     *** Start of the Windows XP section ***
cls
echo.
echo This batch file will copy the Microsoft Windows XP
echo driver files to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct, otherwise
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

copy /v ..\NETi557x.INF %dest%
if not exist %dest%\NETi557x.INF goto NOCOPY
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto xp_copyfile

:xp_copyfile
REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\IA32

rem 10/100 specific files (IA 32)
copy /v ..\E100BW2K.CAT %dest%
copy /v ..\Windows\Drivers\IA32\net82557.din %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\E100B325.SYS %dest%\Windows\Drivers\IA32

rem Gigabit specific files (IA 32)
copy /v ..\NET8254X.INF %dest%
copy /v ..\E1000.cat %dest%
copy /v ..\Windows\Drivers\IA32\NET8254X.DIN %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\E1000NT5.SYS %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\E1000325.SYS %dest%\Windows\Drivers\IA32

rem General files (IA 32)
copy /v ..\Windows\Drivers\IA32\Prounstl.exe %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\IntelNic.dll %dest%\Windows\Drivers\IA32

rem Diagnostic utilities
copy /v ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy /v ..\TOOLS\DIAG100.EXE %dest%
copy /v ..\TOOLS\DIAG1000.EXE %dest%

echo.
echo Base driver files have been copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.

if "%_mdisk_floppy%" == "FALSE" goto end
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO LAN Adapter Configuration and
echo Microsoft Windows XP Drivers (Release # from your CD)
echo.
goto end

:w2k
rem     *** Start of the Windows 2000 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the Microsoft Windows 2000 driver
echo files to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct, otherwise
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

copy /v ..\NETi557x.INF %dest%
if not exist %dest%\NETi557x.INF goto NOCOPY
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto w2k_copyfile

:w2k_copyfile
REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\IA32

REM COPY FILES
rem 10/100 specific files
copy /v ..\E100BW2K.CAT %dest%
copy /v ..\Windows\Drivers\IA32\net82557.din %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\E100BNT5.SYS %dest%\Windows\Drivers\IA32

rem Gigabit specific files
copy /v ..\NET8254X.INF %dest%
copy /v ..\E1000.cat %dest%
copy /v ..\Windows\Drivers\IA32\NET8254X.DIN %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\E1000NT5.SYS %dest%\Windows\Drivers\IA32

rem General files
copy /v ..\Windows\Drivers\IA32\Prounstl.exe %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\IntelNic.dll %dest%\Windows\Drivers\IA32

rem Diagnostic utilities
copy /v ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy /v ..\TOOLS\DIAG100.EXE %dest%
copy /v ..\TOOLS\DIAG1000.EXE %dest%

echo. 
echo Base driver files have been copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.

if "%_mdisk_floppy%" == "FALSE" goto end
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO LAN Adapter Configuration and
echo Microsoft Windows 2000 Drivers (Release # from your CD)
echo.
goto end

:w9x
rem     *** Start of the Windows 9x section ***
rem The drivers copied are only valid for Windows 98SE and Windows Me
rem Echo what we are about to do
cls
echo.
echo.
echo This batch file will copy the driver files for Microsoft
echo Windows 95/98/Me operating systems to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy /v ..\net5579x.inf %dest%
if not exist %dest%\net5579x.inf goto NOCOPY
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto w9x_copyfile

:w9x_copyfile
rem Win95 specific files
copy /v ..\DOS\e100bodi.com %dest%
copy /v ..\Windows\Drivers\IA32\e100b.sys %dest%

rem 10/100 specific files
copy /v ..\e100Bc.cat %dest%
copy /v ..\net55a9x.inf %dest%
copy /v ..\E100Bd.CAT %dest%
copy /v ..\E100BNT.SYS %dest%
copy /v ..\E100BNT5.SYS %dest%
copy /v ..\net82557.din %dest%

rem Gigabit specific files
copy /v ..\net8254d.inf %dest%
copy /v ..\e1000d.cat %dest%
copy /v ..\net8254d.din %dest%
copy /v ..\E1000w9x.sys %dest%

rem General files
copy /v ..\8255XDEL.EXE %dest%
copy /v ..\8255INDI.DLL %dest%
copy /v ..\WOL558.VXD %dest%
copy /v ..\Windows\Drivers\IA32\Prounstl.exe %dest%
copy /v ..\Windows\Drivers\IA32\IntelNic.dll %dest%

rem Diagnostic utilities
copy /v ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy /v ..\TOOLS\DIAG100.EXE %dest%
copy /v ..\TOOLS\DIAG1000.EXE %dest%

echo. 
echo Base driver files and DOS diagnostic copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.

if "%_mdisk_floppy%" == "FALSE" goto end
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO LAN Adapter Configuration and
echo Microsoft Windows Drivers (Release # from your CD)
echo.
goto end

:nw
rem     *** Start of the NetWare section ***
echo.
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the NetWare server and client
echo driver files to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:TESTCOPY
copy ..\TOOLS\DIAG100.EXE %dest%
if not exist %dest%\DIAG100.EXE goto nocopy
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto nw_copyfiles

:nw_copyfiles
rem MAKE DIRECTORIES FIRST
md %dest%\NWSERVER
md %dest%\OS2
md %dest%\DOS
md %dest%\DOS\E1000

rem Drivers
copy /v ..\NWSERVER\*.* %dest%\NWSERVER
copy /v ..\README.TXT %dest%
copy /v ..\DOS\net.cfg %dest%\DOS
copy /v ..\DOS\drivers.dos %dest%\DOS
copy /v ..\DOS\e100bodi.ins %dest%\DOS
copy /v ..\DOS\e100bodi.com %dest%\DOS
copy /v ..\DOS\E1000\e1000odi.com %dest%\DOS\E1000
copy /v ..\DOS\E1000\net.cfg %dest%\DOS\E1000
copy /v ..\DOS\ipxodi.com %dest%\DOS
copy /v ..\DOS\lsl.com %dest%\DOS
copy /v ..\OS2\e100bodi.sys %dest%\OS2

rem Diagnostic utilities
copy /v ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy /v ..\TOOLS\DIAG100.EXE %dest%
copy /v ..\TOOLS\DIAG1000.EXE %dest%

if "%_mdisk_floppy%" == "FALSE" goto end
echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO LAN Adapter Configuration
echo and Novell Drivers (Release # from your CD)
echo.
goto END

:dos
rem     *** Start of the DOS and OS2 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the driver files for Microsoft
echo DOS and IBM OS/2 operating systems
echo to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy /v ..\TOOLS\DIAG100.EXE %dest%
if not exist %dest%\DIAG100.EXE goto NOCOPY
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto dos_copyfile

:dos_copyfile
rem Make directories first
md %dest%\DOS
md %dest%\OS2
md %dest%\OS2\E1000
md %dest%\DOS\E1000

copy /v ..\README.TXT %dest%
copy /v ..\DOS\*.* %dest%\DOS
copy /v ..\OS2\*.* %dest%\OS2
copy /v ..\DOS\E1000\E1000.DOS %dest%\DOS\E1000
copy /v ..\DOS\E1000\protocol.ini %dest%\DOS\E1000
copy /v ..\OS2\E1000\E1000.NIF %dest%\OS2\E1000 
copy /v ..\OS2\E1000\E1000.OS2 %dest%\OS2\E1000
copy /v ..\OS2\E1000\PROTOCOL.INI %dest%\OS2\E1000

rem Diagnostic utilities
copy /v ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy /v ..\TOOLS\DIAG100.EXE %dest%
copy /v ..\TOOLS\DIAG1000.EXE %dest%

if "%_mdisk_floppy%" == "FALSE" goto end
echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO LAN Adapter Configuration
echo and DOS - OS/2 Drivers (Release # from your CD)
echo.
goto END

:modem
rem     *** Start of the CardbusII modem files section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the Intel(R) PRO/100 Mobile 
echo Adapter Modem driver files for all operating systems
echo to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
if not exist %dest%\CBCOMBO.EXE goto NOCOPY
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto modem_copyfile

:modem_copyfile
rem Make directories first
md %dest%\CARDBUS
md %dest%\CARDBUS\SCRIPTS
md %dest%\CARDBUS\UTILITIES

if exist ..\MDME100B.CAT copy ..\MDME100B.CAT %dest%
copy /v ..\CARDBUS\SCRIPTS\*.* %dest%\CARDBUS\SCRIPTS
copy /v ..\CARDBUS\UTILITIES\TELSEL.EXE %dest%\CARDBUS\UTILITIES
copy /v ..\CARDBUS\UTILITIES\MDMTEST.EXE %dest%\CARDBUS\UTILITIES
copy /v ..\CARDBUS\UTILITIES\COMSEL.EXE %dest%\CARDBUS\UTILITIES
copy /v ..\Windows\Drivers\IA32\CBMODEM.SYS %dest%
copy /v ..\MDME100B.INF %dest%
copy /v ..\E100BCFG.EXE %dest%
copy /v ..\CARDBUS\DOS\CBCOMBO.EXE %dest%
copy /v ..\TOOLS\DIAG100.EXE %dest%
copy /v ..\TOOLS\DIAG1000.EXE %dest%

if "%_mdisk_floppy%" == "FALSE" goto end
echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 Mobile Adapter Modem drivers 
echo (Release # from your CD)
echo.
goto END


:env_bad
set env_chk=
cls
echo ERROR: Your computer does not have sufficient environment space to
echo run this batch file. Please increase the available environment space
echo and run this batch file again. To increase the avaiable environment
echo space, please do the following;
echo.
echo                                  DOS
echo If you are running DOS, edit the CONFIG.SYS file and find the statement
echo COMMAND=C:\(PATH)\COMMAND.COM /e:(number)
echo where (path) is the directory path to your COMMAND.COM file and (number)
echo is a numerical value. Increase the numerical value by at least 32.
echo If this line does not exist, add the following line;
echo COMMAND=C:\COMMAND.COM /E:512
echo Reboot the computer before running this batch file again.
echo.
echo                        Windows 2000 and Windows NT
echo Click Start, then Run, then enter "CMD /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
echo.
echo                    Windows 95, Windows 98 and Windows ME
echo Click Start, then Run, then enter "COMMAND /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
goto end

:WRONGDIR
cls
echo You must run this utility from the \MAKEDISK directory.
goto usage

:NOCOPY
cls
echo.
echo Can not copy to %dest%.
echo Please check your syntax and try again
goto usage

:usage
echo.
echo usage rules:
echo MAKEDISK [operating system] [destination (optional)] [silent (optional)]
echo.
echo where [operating system] is the OS family you are creating the diskette for
echo XP64  = Microsoft Windows XP/64 (Itanium (R) based platforms)
echo XP    = Microsoft Windows XP (32 bit platforms)
echo W2K   = Microsoft Windows 2000
echo NT    = Microsoft Windows NT
REM echo NT4HOTADD = Microsoft Windows NT for Hot Add
echo W9X   = Microsoft Windows 95/98/Me
echo NW    = Novell NetWare servers and clients
echo DOS   = Microsoft DOS and IBM OS/2
echo Modem = Modem drivers for the PRO/100 Mobile Adapter (All Microsoft OS)
echo.
echo and where [destination] is the drive letter and path (such as A:)
echo and where [silent] = run in silent mode (does not pause for user input)
echo Do not add a trailing backslash (\) to the destination path.
echo [destination] (will be A: if none specified) is expected to be formatted media.
echo This utility MUST be run from the \MAKEDISK directory.
echo.
pause 
echo EXAMPLE:

echo To create a Windows NT install diskette in A:, from the MAKEDISK directory run:
echo    MAKEDISK NT
echo.
pause
goto END

:END
set dest=
set mode=
set _silent=
set _mdisk_floppy=
